Update integration

Updates an integration's title, description, active status, and/or configuration. Config changes are merged with existing values.

PATCH/v1/apps/{app_id}/integrations/{integration_id}
API
Integrations
Updated
Apr 26, 2026

integrations-api:PATCH:/v1/apps/{app_id}/integrations/{integration_id}

Updates an integration's title, description, active status, and/or configuration. Config changes are merged with existing values.

API ownership

  • API family: Integrations API
  • Best for: Integration records, setup verification, app and integration stats, and sync job operations.
  • Do not use from: Direct catalog, media, order, identity, or storefront reads and writes.
  • Guide route: /integrations

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: PATCH
  • Path: /v1/apps/\{app_id\}/integrations/\{integration_id\}
  • Summary: Update integration
  • Description: Updates an integration's title, description, active status, and/or configuration. Config changes are merged with existing values.
  • OpenAPI contract: integrations-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters2 parameters
NameInRequiredTypeDescription
app_idpathYesstringApp UUID
integration_idpathYesstringIntegration UUID
Request bodyDocumented body
  • Required: Yes
  • Description: Integration update data
  • Content: application/json (object)

Input Update Integration

PropertyTypeRequiredDetails
activebooleanNo-
channel_idstringNo-
clear_channel_idbooleanNo-
configinteger[]Yes-
custom_fieldsobjectNo-
descriptionstringNo-
titlestringNo-

Generated example (synthetic):

{
  "active": false,
  "channel_id": "string",
  "clear_channel_id": false,
  "config": [
    0
  ],
  "custom_fields": {},
  "description": "string",
  "title": "string"
}
Responses4 statuses
StatusDescriptionContent
200Integration updated successfullyapplication/json
400Invalid request (e.g. bad UUID, validation error, invalid config)application/json (object)
404Integration or app not foundapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

Schema

PropertyTypeRequiredDetails
dataobjectNo-
successbooleanNo-
Integration
PropertyTypeRequiredDetails
activebooleanNo-
app_idstringNo-
channel_idstringNo-
created_atstringNo-
custom_fieldsobjectNo-
descriptionstringNo-
idstringNo-
settingsobjectNo-
titlestringNo-
typestringNo-
updated_atstringNo-

Generated example (synthetic):

{
  "data": {
    "active": false,
    "app_id": "string",
    "channel_id": "string",
    "created_at": "string",
    "custom_fields": {},
    "description": "string",
    "id": "string",
    "settings": {},
    "title": "string",
    "type": "string",
    "updated_at": "string"
  },
  "success": false
}

400 - object

Error

PropertyTypeRequiredDetails
detailsstringNo-
errorstringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": "string",
  "error": "string",
  "success": false
}

404 - object

Error

PropertyTypeRequiredDetails
detailsstringNo-
errorstringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": "string",
  "error": "string",
  "success": false
}

500 - object

Error

PropertyTypeRequiredDetails
detailsstringNo-
errorstringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": "string",
  "error": "string",
  "success": false
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Integrations API
  • Method: PATCH
  • Path: /v1/apps/\{app_id\}/integrations/\{integration_id\}
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Integrations
  • OpenAPI summary: Update integration

Update integration

# Update integration Updates an integration's title, description, active status, and/or configuration. Config changes are merged with existing values.
PATCH /v1/apps/{app_id}/integrations/{integration_id}
Purpose

Updates an integration's title, description, active status, and/or configuration.

Required inputs

app_id path integration_id path

Primary response

200 ยท Integration updated successfully

Operation key

integrations-api:PATCH:/v1/apps/{app_id}/integrations/{integration_id}

## API ownership - API family: Integrations API - Best for: Integration records, setup verification, app and integration stats, and sync job operations. - Do not use from: Direct catalog, media, order, identity, or storefront reads and writes. - Guide route: [/integrations](/integrations) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `PATCH` - Path: `/v1/apps/{app_id}/integrations/{integration_id}` - Summary: Update integration - Description: Updates an integration's title, description, active status, and/or configuration. Config changes are merged with existing values. - OpenAPI contract: integrations-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `integrations-api:PATCH:/v1/apps/{app_id}/integrations/{integration_id}` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_id | path | Yes | string | App UUID | | integration_id | path | Yes | string | Integration UUID | ## Request body - Required: Yes - Description: Integration update data - Content: application/json (object) ### Input Update Integration | Property | Type | Required | Details | | --- | --- | --- | --- | | `active` | boolean | No | - | | `channel_id` | string | No | - | | `clear_channel_id` | boolean | No | - | | `config` | integer[] | Yes | - | | `custom_fields` | object | No | - | | `description` | string | No | - | | `title` | string | No | - | **Generated example (synthetic):** ```json { "active": false, "channel_id": "string", "clear_channel_id": false, "config": [ 0 ], "custom_fields": {}, "description": "string", "title": "string" } ``` ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | Integration updated successfully | application/json | | 400 | Invalid request (e.g. bad UUID, validation error, invalid config) | application/json (object) | | 404 | Integration or app not found | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Schema | Property | Type | Required | Details | | --- | --- | --- | --- | | `data` | object | No | - | | `success` | boolean | No | - | ##### Integration | Property | Type | Required | Details | | --- | --- | --- | --- | | `active` | boolean | No | - | | `app_id` | string | No | - | | `channel_id` | string | No | - | | `created_at` | string | No | - | | `custom_fields` | object | No | - | | `description` | string | No | - | | `id` | string | No | - | | `settings` | object | No | - | | `title` | string | No | - | | `type` | string | No | - | | `updated_at` | string | No | - | **Generated example (synthetic):** ```json { "data": { "active": false, "app_id": "string", "channel_id": "string", "created_at": "string", "custom_fields": {}, "description": "string", "id": "string", "settings": {}, "title": "string", "type": "string", "updated_at": "string" }, "success": false } ``` ### 400 - object #### Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string | No | - | | `error` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": "string", "error": "string", "success": false } ``` ### 404 - object #### Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string | No | - | | `error` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": "string", "error": "string", "success": false } ``` ### 500 - object #### Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string | No | - | | `error` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": "string", "error": "string", "success": false } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Integrations API - Method: `PATCH` - Path: `/v1/apps/{app_id}/integrations/{integration_id}` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `integrations-api:PATCH:/v1/apps/{app_id}/integrations/{integration_id}` - OpenAPI tag: Integrations - OpenAPI summary: Update integration